Skip to main content

Customer Migrations Guide: Post Account Import

After an account has successfully been created you might need to import additional data. In this section we’ll walk you through the various endpoints you can use to add information to an imported account in Kraken.

Send registration flows

Overview

Use this endpoint to submit registration flows for meter points on an existing imported account. Note that this endpoint marks meter points to be registered. Kraken will then pick up these meter points and attempt to register them. Given a successful response from this API, it is still possible for the registration process to fail downstream.

The following optional URL params are available to tweak the behaviour of the API:

  • supply_start_date: date. If provided, this date will be used as the supply start date in the registration flows sent out by Kraken. If omitted, the earliest valid supply start date will be used.

POST https://api.teslaelectricgb-kraken.systems/v1/data-import/send-registration-flows/<import-supplier-code>/<external-account-number>/

Responses

The following responses may be returned from the API.

Status codeDescription
200 - OK

If the request is successful, a 200 OK response will be returned with an array of objects detailing the status of each of the meter points marked for enrolment. If a meter point was successfully marked for enrolment then a REGISTRATION_FLOW_SUCCESS status will be returned along with the MPAN or MPRN (mpxn). If there was an error in marking the meter point for enrolment then a REGISTRATION_FLOW_ERROR status will be returned along with the MPAN or MPRN and an additional error_detail field with more information on the reason for failure.

[ { "import_supplier_code": "TENTACLE_ENERGY", "external_account_number": "EXTERNAL-1234", "meter_points": [ { "mpxn": "1013004420117", "status": "REGISTRATION_FLOW_SUCCESS" }, { "mpxn": "3406086401", "error_detail": "TEN not current supplier", "status": "REGISTRATION_FLOW_ERROR" } ] } ]
404 - Not Found

If an account is not found, or no meter points are found on the account to register, then a 404 Not Found response will be returned. To resolve the error, check that the account has been imported (not just staged) and that the import_supplier code and external_account_number in the request are correct. An example 404 response is shown below:

[ { "error_detail": "Account not found for EXTERNAL-1234.", "import_supplier_code": "TENTACLE_ENERGY", "external_account_number": "EXTERNAL-1234" } ]